Subject: Re: [PATCH v3] apply.c: fix -p argument parsing

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Mar 2026 21:27:04 -0700

Jeff King <[email-masked]> writes:

> Getting back to your patch: why is there a CRLF here in the first place?
> Because on Windows, we check out the whole repo with CRLF conversion,
> except for a few known file types listed in .gitattributes. And that
> includes your t/t4120/patch file.

Yuck.

> Coincidentally the style suggestion I made earlier, to just inline it in
> the t4120 script itself, makes the problem go away.

Of course.  Joy of stumbling on ^W^Wworking with Windows.  Sigh...

> So I would suggest doing that as a workaround. It might be worth
> addressing the CRLF header parsing problem above, too, but I think that
> should be a separate topic.